# $Revision: 1.49 $, $Date: 2012/06/26 16:14:06 $
#
# Conditional build:
%bcond_without	bonobo	# don't use bonobo
%bcond_without	gnome	# don't use GNOME to display documentation
%bcond_without	gimp	# don't build GIMP plugin
#
Summary:	GTKam - graphical frontend for gphoto2
Summary(pl.UTF-8):	GTKam - graficzny interfejs do gphoto2
Name:		gtkam
Version:	0.1.18
Release:	2
License:	LGPL v2+
Group:		X11/Applications/Graphics
Source0:	http://downloads.sourceforge.net/gphoto/%{name}-%{version}.tar.bz2
# Source0-md5:	ae37003f1f2a8f66e9a03e221d73060c
Patch0:		%{name}-paths.patch
URL:		http://www.gphoto.org/proj/gtkam/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel >= 0.14.1
%{?with_gimp:BuildRequires:	gimp-devel >= 1:2.0}
BuildRequires:	gnome-common
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	intltool
%{?with_bonobo:BuildRequires:	libbonoboui-devel}
BuildRequires:	libexif-devel >= 0.3.2
BuildRequires:	libexif-gtk-devel
%{?with_gnome:BuildRequires:	libgnomeui-devel}
BuildRequires:	libgphoto2-devel >= 2.4.0
BuildRequires:	libtool
%{?with_gimp:BuildRequires:	libusb-compat-devel}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	scrollkeeper
Requires:	libgphoto2 >= 2.4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with gimp}
%define		gimpplugindir	%(gimptool --gimpplugindir)/plug-ins
%endif

%description
The gtkam package provides a GTK+-based frontend to gphoto2.

%description -l pl.UTF-8
Pakiet gtkam udostępnia oparty o GTK+ graficzny interfejs do gphoto2.

%package -n gimp-plugin-gtkam
Summary:	GIMP plug-in for direct digital camera through gphoto2
Summary(pl.UTF-8):	Wtyczka GIMPa pozwalająca na dostęp do aparatów cyfrowych przez gphoto2
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	gimp >= 1:2.0

%description -n gimp-plugin-gtkam
GIMP plug-in for direct digital camera through gphoto2.

%description -n gimp-plugin-gtkam -l pl.UTF-8
Wtyczka GIMPa pozwalająca na dostęp do aparatów cyfrowych przez
gphoto2.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__intltoolize}
%{__gnome_doc_common}
%{__libtoolize}
%{__aclocal} -I m4m
%{__autoconf}
%{__automake}
%configure \
	%{!?with_bonobo:--without-bonobo} \
	%{!?with_gnome:--without-gnome} \
	%{!?with_gimp:--without-gimp}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /usr/bin/scrollkeeper-update
%postun	-p /usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gtkam
%{_datadir}/%{name}
%{_mandir}/man1/gtkam.1*
%{_desktopdir}/gtkam.desktop
%{_pixmapsdir}/gtkam*.png
%{_omf_dest_dir}/%{name}

%if %{with gimp}
%files -n gimp-plugin-gtkam
%defattr(644,root,root,755)
%attr(755,root,root) %{gimpplugindir}/gtkam-gimp
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkam.spec,v $
Revision 1.49  2012/06/26 16:14:06  gotar
- rel. 2, rebuild with libexif-gtk fixed against 1.352 of gtk+2 (almost 15 months old!)

Revision 1.48  2012/06/26 15:44:36  gotar
- s/dl.sourceforge/downloads.sourceforge/ for distfiles to work, mine did

Revision 1.47  2012/06/25 11:40:03  gotar
- upgraded to 0.1.18

Revision 1.46  2010/09/01 09:39:23  gotar
- rel. 2

Revision 1.45  2010/08/25 15:47:40  gotar
- upgraded to 0.1.17

Revision 1.44  2010/01/06 16:40:39  sparky
- BR: intltool

Revision 1.43  2010/01/06 15:02:55  gotar
- --with gimp BR: libusb-compat-devel (libusb >= 0.1.11 R by libgphoto2_port.pc)

Revision 1.42  2010/01/06 14:52:11  gotar
- upgraded to 0.1.16.1

Revision 1.41  2008/05/29 20:59:38  qboosh
- updated to 0.1.15
- removed obsolete locale-names patch, added am patch

Revision 1.40  2008-01-25 22:46:21  wolvverine
- rel.2

Revision 1.39  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.37  2006/12/20 19:39:36  qboosh
- added link patch
- intltool not used

Revision 1.36  2006/12/20 09:21:34  qboosh
- updated to 0.1.14, updated paths,locale-names patches, added ac patch

Revision 1.35  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.34  2006/01/09 12:34:15  qboosh
- updated to 0.1.13
- updated paths,locale-names patches, removed obsolete gimp2,gnome_help_path,doc patches

Revision 1.33  2005/06/14 19:12:32  zbyniu
- BR: gettext-devel

Revision 1.32  2005/03/21 08:50:28  havner
- rel up for libexif

Revision 1.31  2004/10/28 09:58:31  paladine
- "GTK+" unification (hope thats all)

Revision 1.30  2004/09/16 22:48:34  aflinta
- rebuild with libexif, release 4

Revision 1.29  2004/08/06 19:23:21  ankry
- rel. 3

Revision 1.28  2004/07/08 15:18:05  qboosh
- updated locale-names patch, fix pt name; release 2

Revision 1.27  2004/07/06 06:13:16  qboosh
- removed obsolete bonobo-activation-devel BR

Revision 1.26  2004/06/09 15:32:57  grzegol
- updated to 0.1.12
- removed outdated enable_deprecated patch
- added doc patch (fix parse errors in XML documentation)

Revision 1.25  2004/03/21 12:50:01  grzegol
- updated to 0.1.11
- added locale-names patch (rename locale no -> nb)
- added enable_deprecated patch (remove -DGTK_DISABLE_DEPRECATED flag)
- added gnome_help_path (fix path to gnome help files)
- better URL
- strict internal deps

Revision 1.24  2004/03/19 16:46:14  grzegol
- added epoch to gimp requires

Revision 1.23  2004/03/07 13:27:07  eothane
- fixed bconds, some changelog cleanups

Revision 1.22  2004/02/08 10:59:29  jajcus
- Release: 12
- fixed to build with gimp 2.0

Revision 1.21  2004/01/20 17:14:19  deejay1
- new bconds
- rel. up for rebuild with new gimp/libgphoto

Revision 1.20  2003/11/24 21:45:05  grzegol
- rel. 10 to rebuild with gimp-1.3.23

Revision 1.19  2003/11/04 15:16:22  grzegol
- rel. 9 to rebuild with gimp-1.3.22

Revision 1.18  2003/10/08 18:06:42  grzegol
- rel. 8 to rebuild with gimp-1.3.21

Revision 1.17  2003/09/08 18:48:38  grzegol
- rel. 7 to rebuild with gimp-1.3.20

Revision 1.16  2003/08/28 22:09:50  grzegol
- rel. 6 to rebuild with gimp-1.3.19

Revision 1.15  2003/08/11 13:26:23  grzegol
- rel. 5 to rebuild with gimp-1.3.18

Revision 1.14  2003/08/01 21:15:51  qboosh
- use default gimptool

Revision 1.13  2003/08/01 13:14:53  deejay1
- wrong URL - s/gphoto.net/gphoto.org/

Revision 1.12  2003/07/25 16:37:27  grzegol
- rel. 4 to rebuild with gimp-1.3.17

Revision 1.11  2003/06/27 20:22:57  grzegol
- rel. 3 to rebuild with gimp-1.3.16

Revision 1.10  2003/06/13 20:05:41  grzegol
- rel. 2 to rebuild with gimp-1.3.15

Revision 1.9  2003/05/28 12:59:02  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:48:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/08 11:29:37  qboosh
- use http for sources from sourceforge

Revision 1.6  2003/02/21 20:19:14  qboosh
- autodetect gimp plug-ins dir

Revision 1.5  2003/02/16 22:54:09  qboosh
- BR: intltool,libtool

Revision 1.4  2003/02/14 18:54:15  michuz
- fixed %%build and %%files

Revision 1.3  2003/02/14 16:27:23  michuz
- bcond fixes

Revision 1.2  2003/01/18 22:50:08  juandon
- removed two lines with define

Revision 1.1  2003/01/11 11:51:43  qboosh
- new; gnome/bonobo/gimp1.3 build not tested - I don't have them
